Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb
Interface TaskServiceEJBLocal

All Superinterfaces:
  CommandExecutor, org.kie.internal.task.api.InternalTaskService, TaskService

All Known Implementing Classes:
  TaskServiceEJBImpl

    public interface TaskServiceEJBLocal

extends TaskService, org.kie.internal.task.api.InternalTaskService

Method Summary

Methods inherited from interface org.kie.internal.task.api.InternalTaskService
`addAttachment, addComment, addContent, addContent, addGroup, addMarshallerContext, addTask, addUser, addUsersAndGroups, archiveTasks, claim, claimNextAvailable, deleteAttachment, deleteComment, deleteContent, deleteFault, deleteOutput, deployTaskDef, getActiveTasks, getActiveTasks, getAllAttachmentsByTaskId, getAllCommentsByTaskId, getAllContentByTaskId, getAllTaskDef, getArchivedTasks, getCommentById, getCompletedTaskByUserId, getCompletedTasks, getCompletedTasks, getCompletedTasksByProcessId, getDescriptions, getExpirationDate, getGroupById, getGroups, getMarshallerContext, getOrganizationalEntityById, getPendingSubTasksByParent, getPendingTaskByUserId, getPotentialOwnersForTaskIds, getPriority, getSubTasksAssignedAsPotentialOwner, getSubTasksByParent, getSubTaskStrategy, getTaskDefById, getTaskEventsById, getTaskInstanceById, getTasksAssignedAsExcludedOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDate, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatusByGroup, getTasksAssignedAsRecipient, getTasksAssignedAsTaskInitiator, getTasksAssignedAsTaskStakeholder, getTasksAssignedByGroup, getTasksAssignedByGroups, getTasksByStatusByProcessInstanceIdByTaskName, getTasksOwned, getTasksOwnedByExpirationDate, getTasksOwnedByExpirationDateBeforeSpecifiedDate, getTasksOwnedByExpirationDateOptional, getUserById, getUserInfo, getUsers, isSkipable, remove, removeAllTasks, removeGroup, removeMarshallerContext, removeTaskEventsById, removeTasks, removeUser, setDescriptions, setExpirationDate, setFault, setOutput, setPriority, setSkipable, setSubTaskStrategy, setTaskNames, setUserInfo, taskQuery, undeployTaskDef`

Methods inherited from interface org.kie.api.task.TaskService
`activate, addTask, claim, claimNextAvailable, complete, delegate, exit, fail, forward, getAttachmentById, getContentById, getTaskById, getTaskByWorkItemId, getTaskContent, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariousFields, getTasksByVariousFields, getTasksOwned, getTasksOwnedByStatus, nominate, release, resume, skip, start, stop, suspend`

Methods inherited from interface org.kie.api.runtime.CommandExecutor
`execute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.